#!/bin/bash
cur_date="`date +%Y-%m-%d`"
ROOT=$(cd `dirname $0`/../../../; pwd)

mkdir -p $ROOT/release/tmpE
rm -rf $ROOT/release/tmpE/*
mkdir -p $ROOT/release/tmpE/curl-server/lib
mkdir -p $ROOT/release/tmpE/curl-server/shell/curlServer

cp $ROOT/lib/CurlServer $ROOT/release/tmpE/curl-server/lib

cp -rf $ROOT/shell/curlServer/*.sh $ROOT/release/tmpE/curl-server/shell/curlServer

mkdir -p $ROOT/release/tmpE/curl-server/logs/CurlServer
mkdir -p $ROOT/release/tmpE/curl-server/pid

cd $ROOT/release/tmpE
tar -zcf $ROOT/release/curl-server_${cur_date}.tar.gz curl-server
cd -

rm -rf $ROOT/release/tmpE/*
rmdir $ROOT/release/tmpE

echo "打包成功"